Create Contract
Creates a new Contract for the specified Account. The Contract includes information such as the associated Account along with start and end dates.
If you intend to bill an Account on a Contract basis, you can use the billGroupingKeyId, applyContractPeriodLimits, and usageFilters request parameters to control Contract billing.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) for your Organization. The Organization represents your company as a direct customer of our service.
Body
The unique identifier (UUID) of the Account associated with this Contract.
1The name of the Contract.
1 - 200The start date for the Contract (in ISO-8601 format). This date is inclusive, meaning the Contract is active from this date onward.
The exclusive end date of the Contract (in ISO-8601 format). This means the Contract is active until midnight on the day before this date.
The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level, customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The short code of the Contract.
80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$The description of the Contract, which provides context and information.
500The Purchase Order Number associated with the Contract.
100For Contract billing, a boolean setting for restricting the charges billed to the period defined for the Contract:
- TRUE - Contract billing for the Account will be restricted to charge amounts that fall within the defined Contract period.
- FALSE - The period for amounts billed under the Contract will be determined by the Account Plan attached to the Account and linked to the Contract.(Default)
Use usageFilters to control Contract billing and charge at billing only for usage where Product Meter dimensions equal specific defined values:
- Define Usage filters to either include or exclude charges for usage associated with specific Meter dimensions.
- The Meter dimensions must be present in the data field schema of the Meter used to submit usage data measurements.
The ID of the Bill Grouping Key assigned to the Contract.
If you are implementing Contract Billing for an Account, use billGroupingKey to control how charges linked to Contracts on the Account will be billed:
- Independent Contract billing. Assign an exclusive Bill Grouping Key to the Contract - only charges due against the Account and linked to the single Contract will appear on a separate Bill.
- Collective Contract billing. Assign the same non-exclusive Bill Grouping Key to multiple Contracts - all charges due against the Account and linked to the multiple Contracts will appear together on a single Bill.
Response
Returns the created Contract
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level,customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The unique identifier (UUID) of the Account associated with this Contract.
The name of the Contract.
The short code of the Contract.
The description of the Contract, which provides context and information.
The Purchase Order Number associated with the Contract.
For Contract billing, a boolean setting for restricting the charges billed to the period defined for the Contract:
- TRUE - Contract billing for the Account will be restricted to charge amounts that fall within the defined Contract period.
- FALSE - The period for amounts billed under the Contract will be determined by the Account Plan attached to the Account and linked to the Contract.(Default)
Used to control Contract billing and charge at billing only for usage where Product Meter dimensions equal specific defined values:
- Usage filters are defined to either include or exclude charges for usage associated with specific Meter dimensions.
- The Meter dimensions must be present in the data field schema of the Meter used to submit usage data measurements.
The ID of the Bill Grouping Key assigned to the Contract.
The start date for the Contract (in ISO-8601 format). This date is inclusive, meaning the Contract is active from this date onward.
The exclusive end date of the Contract (in ISO-8601 format). This means the Contract is active until midnight on the day before this date.
The date and time (in ISO-8601 format) when the Contract was created.
The date and time (in ISO-8601 format) when the Contract was last modified.
The unique identifier (UUID) of the user who created this Contract.
The unique identifier (UUID) of the user who last modified this Contract.